Last Comment Bug 746658 - Failed downloads can't be removed from panel
: Failed downloads can't be removed from panel
Status: VERIFIED FIXED
:
Product: Firefox
Classification: Client Software
Component: Downloads Panel (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: Firefox 15
Assigned To: :Paolo Amadini
:
Mentors:
Depends on:
Blocks: DownloadsPanel ReleaseDownloadsPane
  Show dependency treegraph
 
Reported: 2012-04-18 10:52 PDT by Josh Matthews [:jdm]
Modified: 2012-11-12 08:52 PST (History)
8 users (show)
ryanvm: in‑testsuite?
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
The patch (1.42 KB, patch)
2012-04-23 11:08 PDT, :Paolo Amadini
mak77: review+
Details | Diff | Splinter Review

Description Josh Matthews [:jdm] 2012-04-18 10:52:15 PDT
There was a failed download in my download history when I moved to the nightly containing the new panel. Completed downloads can be removed without problem, but the failed entry doesn't have an option to do so.
Comment 1 Marco Bonardo [::mak] 2012-04-18 11:51:51 PDT
I assume you mean in the context menu?
Comment 2 Josh Matthews [:jdm] 2012-04-18 11:55:30 PDT
Yes.
Comment 3 :Paolo Amadini 2012-04-23 11:08:30 PDT
Created attachment 617549 [details] [diff] [review]
The patch

Simple fix. Thanks for reporting!
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-04-29 14:03:17 PDT
http://hg.mozilla.org/mozilla-central/rev/4fe2546c37a5
Comment 6 Simona B [:simonab ] -PTO- back Sept 5th 2012-11-12 08:52:59 PST
Verified on the latest Nightly that the failed downloads can be removed using the item from the context menu "Remove From List".

Verified on Windows 7, Ubuntu 12.04 and Mac OS X 10.7:
Mozilla/5.0 (Windows NT 6.1; rv:19.0) Gecko/19.0 Firefox/19.0	
Build ID: 20121111030749
Mozilla/5.0 (X11; Linux i686; rv:19.0) Gecko/19.0 Firefox/19.0	
Build ID: 20121112030753
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:19.0) Gecko/19.0 Firefox/19.0	Build ID: 20121112030753

Setting the status of this bug to VERIFIED FIXED.

Note You need to log in before you can comment on or make changes to this bug.